package com.ynet.life.sujrb.controller;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.session.Session;
import com.ynet.gene.web.servlet.ModelAndView;
import com.ynet.life.base.LifePlatManager;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.MVCEntity;
import com.ynet.life.base.TEntity;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.mvc.SimpleRequest;
import com.ynet.life.mvc.XMLViewRequestController;
import com.ynet.life.platform.util.PlatformUtil;
import java.util.Enumeration;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/* loaded from: com_ynet_life_sujrb_controller.jar:com/ynet/life/sujrb/controller/JRBEndSessionRequestController.class */
public class JRBEndSessionRequestController extends XMLViewRequestController {
    private boolean checkSession = true;

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v0, types: [long] */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.lang.Throwable] */
    /* JADX WARN: Type inference failed for: r0v3, types: [com.ynet.gene.web.servlet.ModelAndView] */
    /* JADX WARN: Type inference failed for: r8v0, types: [com.ynet.life.sujrb.controller.JRBEndSessionRequestController, com.ynet.life.mvc.XMLViewRequestController] */
    public ModelAndView doRequest(HttpServletRequest request, HttpServletResponse response) throws Exception {
        ?? currentTimeMillis = System.currentTimeMillis();
        try {
            currentTimeMillis = super.doRequest(request, response);
            endRequest(currentTimeMillis, request, System.currentTimeMillis() - currentTimeMillis);
            Cookie cook = new Cookie("Authorization", (String) null);
            cook.setMaxAge(0);
            cook.setPath("/");
            response.addCookie(cook);
            return currentTimeMillis;
        } catch (Exception e) {
            throw currentTimeMillis;
        }
    }

    public void endRequest(ModelAndView mv, HttpServletRequest request, long timeUsed) {
        String sessionId;
        if (this.openMonitor) {
            this.accessInfo.endAccess(timeUsed);
        }
        Session session = this.sessionManager.getSession(request, (Object) null, false);
        Session session2 = session;
        if (session == null && (sessionId = request.getParameter(GENEConstance.GENE_SESSION_ID_LABEL)) != null) {
            session2 = (Session) this.sessionManager.getSessions().get(sessionId);
        }
        if (session2 == null) {
            return;
        }
        this.sessionManager.removeSession(session2);
        Context sessionContext = (Context) session2.getAttribute(GENEConstance.ATTR_CONTEXT);
        if (sessionContext != null) {
            sessionContext.unChain();
        }
        Enumeration attrNames = session2.getAttributeNames();
        while (attrNames.hasMoreElements()) {
            String attrName = (String) attrNames.nextElement();
            session2.removeAttribute(attrName);
        }
        if (mv == null || mv.getModel() == null) {
            return;
        }
        try {
            Context context = (Context) mv.getModel().get(GENEConstance.ATTR_CONTEXT);
            if (context != null && context != sessionContext) {
                context.terminate();
            }
        } catch (Exception e) {
            Trace.logError("LifeSession", "Failed to end request of " + toString(), e);
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v0 */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v13, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v14, types: [com.ynet.life.exception.TranFailException] */
    /* JADX WARN: Type inference failed for: r0v17, types: [com.ynet.life.cache.Cache] */
    protected void preContextWork(HttpServletRequest request, Context context, SimpleRequest simpleRequest) throws TranFailException {
        MVCEntity mvcEntity;
        ?? r0 = simpleRequest;
        if (r0 != 0) {
            try {
                String appKey = request.getParameter(TEntity.appKeyFieldname);
                Session session = (Session) this.sessionManager.getSessions().get(appKey);
                String cacheServiceFlag = LifeStandard.getSelfDefineSettingsValue("cacheServiceFlag");
                r0 = "true".equals(cacheServiceFlag);
                if (r0 != 0) {
                    try {
                        r0 = LifeStandard.getCache("sessionData_cache");
                        mvcEntity = (MVCEntity) r0.get(appKey);
                    } catch (TranFailException e) {
                        r0.printStackTrace();
                        throw new TranFailException(e);
                    }
                } else {
                    mvcEntity = (MVCEntity) session.getAttribute(appKey);
                }
                String bankId = mvcEntity.getBankId();
                String bankId2 = bankId;
                if (bankId == null) {
                    bankId2 = PlatformUtil.getBankId(request);
                }
                String dataSourceName = LifePlatManager.getBankDBSource(bankId2);
                String channel = mvcEntity.getChannel();
                context.put(TEntity.bankIdFieldName, bankId2);
                context.put(TEntity.dataSourceName, dataSourceName);
                context.put(TEntity.channelFieldname, channel);
                context.put(TEntity.uriFieldname, request.getRequestURI());
                context.put(TEntity.appKeyFieldname, appKey);
                context.put(TEntity.CLIENTIP, mvcEntity.getClientIp());
            } catch (Exception e2) {
                r0.printStackTrace();
                throw new TranFailException(e2);
            }
        }
    }
}
